Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionGCM

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnectionGCMOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    public static final class ClientWireProtocol.ClientConnectionGCM
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.ClientConnectionGCMOrBuilder

Protobuf type `xg.cmdcomp.ClientConnectionGCM`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `ClientWireProtocol.ClientConnectionGCM.Builder` | Protobuf type `xg.cmdcomp.ClientConnectionGCM`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CLIENTID_FIELD_NUMBER` |
`static int` | `DATABASE_FIELD_NUMBER` |
`static int` | `USERID_FIELD_NUMBER` |
`static int` | `VERSION_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`String` | `getClientid()` | `string clientid = 3;`
`com.google.protobuf.ByteString` | `getClientidBytes()` | `string clientid = 3;`
`String` | `getDatabase()` | `string database = 2;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 2;`
`static ClientWireProtocol.ClientConnectionGCM` | `getDefaultInstance()` |
`ClientWireProtocol.ClientConnectionGCM` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionGCM>` | `getParserForType()` |
`int` | `getSerializedSize()` |
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`String` | `getUserid()` | `string userid = 1;`
`com.google.protobuf.ByteString` | `getUseridBytes()` | `string userid = 1;`
`String` | `getVersion()` | `string version = 4;`
`com.google.protobuf.ByteString` | `getVersionBytes()` | `string version = 4;`
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static ClientWireProtocol.ClientConnectionGCM.Builder` | `newBuilder()` |
`static ClientWireProtocol.ClientConnectionGCM.Builder` | `newBuilder​(ClientWireProtocol.ClientConnectionGCM prototype)` |
`ClientWireProtocol.ClientConnectionGCM.Builder` | `newBuilderForType()` |
`protected ClientWireProtocol.ClientConnectionGCM.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseDelimitedFrom​(InputStream input)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(byte[] data)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(InputStream input)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(ByteBuffer data)` |
`static ClientWireProtocol.ClientConnectionGCM` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionGCM>` | `parser()` |
`ClientWireProtocol.ClientConnectionGCM.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### USERID_FIELD_NUMBER

public static final int USERID_FIELD_NUMBER

See Also:
  Constant Field Values

### DATABASE_FIELD_NUMBER

public static final int DATABASE_FIELD_NUMBER

See Also:
  Constant Field Values

### CLIENTID_FIELD_NUMBER

public static final int CLIENTID_FIELD_NUMBER

See Also:
  Constant Field Values

### VERSION_FIELD_NUMBER

public static final int VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getUserid

public String getUserid()
`string userid = 1;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### getUseridBytes

public com.google.protobuf.ByteString getUseridBytes()
`string userid = 1;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### getDatabase

public String getDatabase()
`string database = 2;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 2;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### getClientid

public String getClientid()
`string clientid = 3;`

Specified by:
  `getClientid` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### getClientidBytes

public com.google.protobuf.ByteString getClientidBytes()
`string clientid = 3;`

Specified by:
  `getClientidBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### getVersion

public String getVersion()
`string version = 4;`

Specified by:
  `getVersion` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### getVersionBytes

public com.google.protobuf.ByteString getVersionBytes()
`string version = 4;`

Specified by:
  `getVersionBytes` in interface `ClientWireProtocol.ClientConnectionGCMOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ClientConnectionGCM parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ClientConnectionGCM parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.ClientConnectionGCM.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.ClientConnectionGCM.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.ClientConnectionGCM.Builder newBuilder​(ClientWireProtocol.ClientConnectionGCM prototype)

### toBuilder

public ClientWireProtocol.ClientConnectionGCM.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.ClientConnectionGCM.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.ClientConnectionGCM getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionGCM> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionGCM> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionGCM getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`